Subject: Re: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Apr 2021 14:47:40 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 28 Apr 2021 08:19:31 +0200
> 
> Boruch Baum <[email-masked]> writes:
> 
> >> > > This is certainly a mistake: a valid shell command doesn't have to be
> >> > > a file that executable-find is able to find.  Shells are known to
> >> > > support all kinds of internal and magic commands.
> >> >
> >> > My testing indicates otherwise.
> >>
> >> Would you care to share the details of that testing, please?
> >
> > I evaluated shell-command-to-string for shell aliases and shell
> > functions, all of which returned error of type 'command not found'. That
> > would indicate that the class of 'internal commands' aren't valid in the
> > current state of emacs.
> 
> Shell builtins seem to work though:

Yes, I meant builtins when I said "internal commands".  Sorry for my
sloppy wording.